## SQLWays - Initialization File Options

The initialization file is used to save frequently used options and to adjust script generations. By default this is the SQLWays.ini file, located in the current directory. To specify some other file, use the command prompt /INI option.

The initialization file consists of several sections:

- [Common]
- [Data]
- [DDL]
- [Windows]
- [Unix]
- [Oracle]
- [DB2]
- [MSSQL]
- [Sybase]
- [MySQL]
- [Pervasive]

Each section contains options and their values.

Syntax: Option=Value

If no value is specified for an option, the default is used.

### [Common]

This section is used to save frequently used common options. When an option is not specified in the command prompt its value is taken from the SQLWays.ini file.

- DSN - for the option /D (Data source name)
- USER - for the option /U (User name)
- PWD - for the option /P (Password)
- TARGET - for the option /TARGET (Target database)
- TARGET_VERSION - for the option /TVER (Target database version)
- MIGRATION_SEQUENCE - for the option /MIGS (Migration sequence)
- IMPORT_SYSTEM - for the option /IMPS (Import system)
- DIR - for the option /DIR (Export directory)
- LOBDIR - for the option /LOBDIR (Directory for LOB files)
- IMPORT_DIR - for the option /IMPDIR (Import directory)
- IMPORT_LOBDIR - for the option /IMPLOB (Import directory for LOB files)
- OUTFORMAT - for the option /OF (Output text format)
- PREFETCHROWS - for the option /R (Prefetch count)
- NONSTOP - for the option /NSTOP (Continue when an error occurs). Possible values - Yes, No.

### [Data]

This section is used to customize data converting.

- COLUMN_DELIMITER - for the option /CDEL (Column delimiter).
- LINE_DELIMITER - for the option /LDEL (Line delimiter).
- DECIMAL_POINT - for the option /DECPT (Decimal point character).
- DATETIME_FORMAT - This option specifies the format of the datetime datatypes in the text files.
  Datetime data consist of valid date and time combinations. Depending on the database this is the DATE datatype in Oracle, TIMESTAMP datatype in IBM DB2 and DATETIME datatype in Microsoft SQL Server and Sybase.

  A datetime format can be composed of one or more datetime format elements as listed below.

  - YYYY - 4-digit year
  - YY - Last 2 digits of year
  - MM - 2-digit numeric abbreviation of month (01-12)
  - MON - 3-symbol abbreviated name of month (JAN, FEB etc)
  - DD - 2-digit day of month (01-31)
  - HH - 2-digit hour of day (01-12)
  - HH12 - 2-digit hour of day (01-12)
  - HH24 - 2-digit hour of day (00-23)
  - MI - 2-digit minute (00-59)
  - SS - 2-digit second (00-59)
  - F - Fraction of second. The number of F symbols represents the precision. For example, FFF for accuracy to the milliseconds and FFFFFF for accuracy to the microseconds.

  For example, to get datetime values like 21-DEC-2002 21-21-00 set the datetime format DD-MON-YYYY HH24-MI-SS.

  If no value is specified in this option, the default datetime format is used. By default, ODBC drivers convert datetime values using the ISO format YYYY-MM-DD HH24:MI:SS.FFF (the part FFF depends on database).

- DATE_FORMAT - This option specifies the format of the date datatypes in the text files.
  A date is a three-part value (year, month and day). Not all databases have a datatype that allows you to keep date values without a time part. For example, such datatype exists in IBM DB2 and MySQL (the DATE datatype).

  A date format can be composed of one or more date format elements as listed below.

  - YYYY - 4-digit year
  - YY - Last 2 digits of year
  - MM - 2-digit numeric abbreviation of month (01-12)
  - MON - 3-symbol abbreviated name of month (JAN, FEB etc)
  - DD - 2-digit day of month (01-31)

  For example, to get date values like 21-DEC-2002 set the datetime format DD-MON-YYYY.

  If no value is specified in this option, the default date format is used. By default, ODBC drivers convert date values using the ISO format YYYY-MM-DD.

- TIME_FORMAT - This option specifies the format of the time datatypes in the text files.
  A time is a three-part value (hour, minute and second). Not all databases have a datatype that allows you to keep time values without a date part. For example, such datatype exists in IBM DB2 and MySQL (the TIME datatype).

  A time format can be composed of one or more time format elements as listed below.

  - HH - 2-digit hour of day (01-12)
  - HH12 - 2-digit hour of day (01-12)
  - HH24 - 2-digit hour of day (00-23)
  - MI - 2-digit minute (00-59)
  - SS - 2-digit second (00-59)

  For example, to get time values like 21-21-00 set the time format HH24-MI-SS.

  If no value is specified in this option, the default time format is used. By default, ODBC drivers convert time values using the ISO format HH24:MI:SS.

- DATETIME_FRACTION - Specifies that the datetime columns can contain the fraction part in the text file. Datetime data consist of valid date and time combinations. Time can contain a fraction part. For example, IBM DB2 TIMESTAMP datatype can contain microseconds, Microsoft SQL Server and Sybase DATETIME can keep milliseconds.

  Possible values - Yes, No. Yes means that datetime values can contain the fraction part in the text files, No means that if the fraction part exists, it is not saved in the text file.

  The default value is Yes unless the target database is Oracle.

  If the target database is Oracle and the datetime datatypes are converted to the Oracle DATE datatype, the default value is No. The Oracle DATE datatype doesn't support fractional seconds.

  If the target database is Oracle and the datetime datatypes are converted to the Oracle TIMESTAMP datatype, the default value is Yes. The Oracle TIMESTAMP datatype supports fractional seconds.

  Note. This option is ignored if any value is specified in the option DATETIME_FORMAT (see above).

- REPLACE_NEWLINE - Specifies a character string that replaces newline characters in the data. Newline characters are 0x0D0A or \r\n for Windows and 0x0A or \n for Unix.

  Character columns like CHAR and VARCHAR e.g. can contain newline characters in the data. By default, SQLWays saves them in the export files. Using this option you can specify a string that will replace newline characters.

  For example, to replace newlines with zzz, set REPLACE_NEWLINE=zzz, to replace newlines with a blank, set REPLACE_NEWLINE=" ".

  To specify the hexadecimal value of a character use the following syntax: 0xhh. For example, 0x2c specifies a comma character. Non printing characters like tab, carriage return and new line can be represented by \t, \r and \n accordingly. To specify a backslash character use \\. You can combine different character representations to specify the string. For example, REPLACE_NEWLINE=|||0x2c0x2c|||

  When you need to remove newlines from the data use the option REMOVE_NEWLINE. The option REPLACE_NEWLINE is ignored when the REMOVE_NEWLINE option is set to Yes (see below).

  In most cases when you need to save newline characters in the data you have to change the line delimiter using the option /LDEL. This will allow to process rows properly by import/load utilities.

- REMOVE_NEWLINE - If Yes is specified newline characters are removed from the data. Newline characters are 0x0D0A or \r\n for Windows and 0x0A or \n for Unix.

  Character columns like CHAR and VARCHAR e.g. can contain newline characters in the data. By default, SQLWays saves them in the export files. Using this option you can specify to remove newline characters from the data. The default is No. Possible values - Yes, No.

  If you need to replace newline characters with other string use the option REPLACE_NEWLINE (see above).

  In most cases when you need to save newline characters in the data you have to change the line delimiter using the option /LDEL. This will allow to process rows properly by import/load utilities.

- ODBC_FLOAT_CONVERSION - If Yes is specified numeric data (REAL, FLOAT, DOUBLE datatypes) are converted to the text representation by ODBC driver. Otherwise SQLWays performs conversion. The default is Yes. Possible values - Yes, No.
- CLOB_CONVERSION_TYPE - If no value is specified the CLOB (TEXT, MEMO) columns are converted into the CLOB (TEXT, MEMO) columns. If a value is specified the CLOB columns are converted to the specified data type.
  For example, if clob_conversion_type=varchar(2000) then the CLOB columns will be converted to the VARCHAR(2000) columns.
- LOBS_INFILE - for the option /LOBIN. (Place the LOB data inside the text file). Possible values - Yes, No.
- FIXFMT_COLUMN_GAPS - This option specifies the number of blanks that are placed between columns for FIX (fixed length) output format. The default value is 1.

To specify Data Export options using the SQLWays wizard

- SQLWays Wizard - Data Export Options Page

### [DDL]

This section is used to adjust DDL and SQL script generations.

- GENERATE_DROP_TABLE - If Yes is specified, the DROP TABLE statement is generated before each CREATE TABLE statement. The default value is No. Possible values - Yes, No.
- DROP_TABLE_CASCADE_CONSTRAINTS - If Yes is specified, the CASCADE CONSTRAINTS option is generated in the DROP TABLE statement. Currently this option is supported by Oracle only. For more information, see Dropping Tables.

  This option is only available if the target database is Oracle and the GENERATE_DROP_TABLE is set to Yes.

- GENERATE_DROP_INDEX - If Yes is specified the DROP INDEX statement is generated before each CREATE INDEX statement. The default value is No. Possible values - Yes, No.
  This option can be helpful when the scripts for indexes are re-executed without recreating the table.
- OUTSCHEMA - for the option /OSN (Output schema name).
- EMPTY_SCHEMA - for the option /EMPS. Possible values - Yes, No.
- COLUMN_NAME_CASE - This option specifies the case of column names in the SQL statements. Possible values - Upper, Lower. If no value is specified the case of the column names is not changed and column names are used as they are provided by source database.
- USE_CONSTRAINT_NAMES - If Yes is specified constraint names of the source database will be used in generated DDL scripts. Otherwise constraint names will be skipped. The default value is No. Possible values - Yes, No.
- PK_COLS_NOTNULL - This option specifies to force NOT NULL constraints in the CREATE TABLE statement for columns making up a primary key.

  Some databases (Oracle, Sybase, Access e.g.) allow not specifying NOT NULL constraints for primary key columns explicitly when creating the table, and they change columns to NOT NULL when adding a primary key. Other databases (IBM DB2, Microsoft SQL Server, MySQL e.g.) require primary key columns to be created with NOT NULL constraints before adding a primary key.

  The default value is Yes (all primary key columns will be created with NOT NULL constraints). Possible values - Yes, No.

- CONVERT_IDENTITY_COLUMNS - If Yes is specified, SQLWays converts the identity properties of columns. Otherwise, SQLWays does not extract the identity properties. The default value is Yes. Possible values - Yes, No.

  Identity columns are commonly used in conjunction with primary key constraints to serve as the unique row identifier for the table.

- INSERT_COMMIT_COUNT - This option is only valid for INS output format and is used to generate a COMMIT statement after the specified number of INSERT statements are generated. The default value is 0 (no commits are generated).
- STATEMENT_DELIMITER - for the option /STDEL (Statement termination character).
- STATISTICS_STATEMENTS - This option specifies whether or not to generate statements to calculate statistics on tables in the DDL scripts for table indexes.The default value is Yes. Possible values - Yes, No. Currently SQLWays generates statistics statements for IBM DB2 only.
- PK_UNIQUE_INDEXES - This option specifies whether to generate indexes on primary keys and unique constraints. The default value is No. This means no index scripts are generated for primary keys and unique constraints. In this case the database creates unique indexes for primary keys and unique constraints implicitly.
  If the unique indexes with the same definition as required for primary keys and unique constraints were created before creating primary keys and unique constraints, the database uses these indexes for primary keys and unique constraints.
  When PK_UNIQUE_INDEXES=ALWAYS is specified the index scripts for primary and unique constraints are always created. This allows creating indexes before creating primary keys and unique constraints.

To specify DDL options using the SQLWays wizard

- SQLWays Wizard - DDL Options Page

### [Windows]

This section is used to adjust command file generations for Microsoft Windows. SQLWays generates command files for importing database definitions and data to the target database.

- GCMD_AFTER_IMP_CMD - Specifies a command that will be executed after importing each database object (table, view etc). This command will be used in the general command file only.

  SQLWays creates the general command file to allow importing large number of database objects (tables, views etc) at once. See the /GCMD option for more information.

  The general command file invokes command files for each database object using the CALL command. The GCMD_AFTER_IMP_CMD option allows to specify a command that will be placed after each CALL command.

  For example, when no value is specified in the GCMD_AFTER_IMP_CMD option, the general command file contains CALL commands only:

         call table1.cmd
         call table2.cmd
         call table3.cmd

         call view1.cmd
         call view2.cmd

  When you specify, for example GCMD_AFTER_IMP_CMD=pause, the general command file will contain:

         call table1.cmd
         pause
         call table2.cmd
         pause
         call table3.cmd
         pause

         call view1.cmd
         pause
         call view2.cmd
         pause

### [Unix]

This section is used to adjust shell script generations for Unix. SQLWays generates shell scripts for importing database definitions and data to the target database.

- SHELL_LOCATION - Specifies an Unix shell that executes import scripts on a Unix system. If you specify that import is executed on a Unix system, SQLWays generates Bourne shell scripts for importing database structure and data.

  By default, SQLWays specifies that shell scripts are executed by /bin/sh. Using this option you can specify another shell location, /usr/bin/sh e.g.

  This option is disabled if import is not executed on a Unix system.

### [Oracle]

This section is used to adjust script generations when Oracle is the target database, and to specify properties when it is the source database.

- BIN - Specifies the directory where the Oracle utilities like SQL Plus and SQL Loader are located.

- SQLLOADER - The name of the executable module of the Oracle SQL Loader. The default value is sqlldr.exe.

- SQLPLUS - The name of the executable module of the Oracle SQL Plus. The default value is sqlplus.exe.

- USER - Specifies the user name that is used in generated scripts for the Oracle SQL Plus and SQL Loader.

- PWD - Specifies the user password that is used in generated scripts for the Oracle SQL Plus and SQL Loader.

- SERVICE_NAME - Specifies the service name for the Oracle Net protocol that is used in generated scripts for the Oracle SQL Plus and SQL Loader.

- SQLPLUS_EXIT_CMD - If Yes is specified, the SQL Plus EXIT command is generated in the end of DDL scripts. This allows executing DDL scripts from multiple files in batch mode. Possible values - Yes, No. The default value is Yes.
- SQLPLUS_TO_DATE - If Yes is specified, the TO_DATE function with the corresponding date format is generated for DATE columns in SQL INSERT statements for SQL Plus. This allows to insert rows containing DATE columns when the date format differs from the default date format for Oracle database.

  If No is specified, the TO_DATE function is not generated in SQL INSERT statements. Possible values - Yes, No. The default value is Yes.

- DIRECT - Specifies the Oracle SQL Loader method to use either conventional or direct path. Possible values - Yes, No. Yes specifies a direct path load. No specifies a conventional path load. The default value is No.

- LOAD_OPTION - Specifies loading option in the generated SQL Loader control file. Possible values - Insert, Append, Replace, Truncate. The default value is Insert.

- DATE - Specifies the format string in SQL Loader control files for loading dates (year, month, day) into DATE columns from the text files. The default value is "YYYY-MM-DD".

  If any value is specified in the DATE_FORMAT option in the [Data] section, it overrides the DATE option.

- TIME - Specifies the format string in SQL Loader control files for loading times (hours, minutes, seconds) into DATE columns from the text files. The default value is "HH24:MI:SS".

  If any value is specified in the TIME_FORMAT option in the [Data] section, it overrides the TIME option.

- TIMESTAMP - Specifies the format string in SQL Loader control files for loading timestamps (year, month, day, hours, minutes, seconds) into DATE columns from the text files. The default value is "YYYY-MM-DD HH24:MI:SS".

  If any value is specified in the DATETIME_FORMAT option in the [Data] section, it overrides the TIMESTAMP option.

- TIMESTAMP9i - Specifies the format string in SQL Loader control files for loading Oracle 9i TIMESTAMP datatype (year, month, day, hours, minutes, seconds, fractional seconds precision) from the text files. The default value is "YYYY-MM-DD HH24:MI:SS.FF".
- FIXFMT_DECODE_NULLCHAR - Specifies generating DECODE function in the SQL Loader control file for CHAR NOT NULL columns for fixed-length text file. Possible values - Yes, No.

  If you what to load fields that contain only blanks into CHAR NOT NULL columns and the text file has the fixed length format, you have to use DECODE function, because SQL Loader treats blanks as NULLs. Set this option to Yes and SQLWays will generate DECODE function to convert NULLs to blanks.

- BIT_DATATYPE - Specifies the datatype that represents the BIT datatype in Oracle, since Oracle does not support the BIT datatype explicitly. The default value is CHAR(1).

  SQLWays will convert the BIT datatype to the specified datatype when migrating from databases that supports the BIT datatype, for example Microsoft SQL Server or Microsoft Access.

  For example, when BIT_DATATYPE=NUMBER(1) is specified, the BIT datatype will be converted to NUMBER(1) in Oracle.

- DATETIME_DATATYPE - Specifies the datatype that represents the datetime datatypes in Oracle. Datetime data consist of valid date and time combinations. Depending on the database this is the DATE datatype in Oracle, TIMESTAMP datatype in IBM DB2 and DATETIME datatype in Microsoft SQL Server and Sybase.

  SQLWays will convert the datetime datatypes to the specified datatype. By default the datetime datatype are converted to DATE.

  For example, when DATETIME_DATATYPE=TIMESTAMP(6) is specified, the datetime datatypes will be converted to TIMESTAMP(6) in Oracle. The TIMESTAMP datatype is available in Oracle 9i Release 1 (9.0.1) or later.

- CONVERT_LONG_RAW_TO_BLOB - This option is valid only when tables are migrated between Oracle databases. If Yes is specified, the Oracle LONG RAW datatype is converted to the Oracle BLOB datatype. If No is specified, the Oracle LONG RAW datatype is not converted.

  Possible values - Yes, No. The default value is Yes.

  Oracle strongly recommends that you convert LONG RAW columns to binary LOB (BLOB) columns. LOB columns are subject to far fewer restrictions than LONG RAW columns.

To specify Oracle options using the SQLWays wizard

- SQLWays Wizard - Oracle Advanced Options Page

### [DB2]

This section is used to adjust script generations when IBM DB2 is the target database, and to specify properties when it is the source database.

- BIN - Specifies the directory where the DB2 utilities like CLP, IMPORT and LOAD are located.

- DATABASE - Specifies the database name that is used in generated scripts for the DB2 utilities.

- USER - Specifies the user name that is used in generated scripts for the DB2 utilities.

- PWD - Specifies the user password that is used in generated scripts for the DB2 utilities.

- USE_LOAD_COMMAND - If Yes is specified, the DB2 LOAD command is used to move data into the DB2 database. Possible values - Yes, No. The default value is No, which means that the DB2 IMPORT command is used.

- LOAD_FROM_CLIENT - If Yes is specified, the CLIENT option is used in the DB2 LOAD command. This option specifies that the data can reside on a remote client. Otherwise, the data must reside on the DB2 server.

  Possible values - Yes, No. The default value is No. The CLIENT option in the LOAD command is available in IBM DB2 7.1 or later.

- LOAD_NONRECOVERABLE - If Yes is specified, the NONRECOVERABLE option is added to the DB2 LOAD command. This option specifies that the load transaction is to be marked as non-recoverable, and that it will not be possible to recover it by a subsequent roll forward action.

  With this option, when the database is configured to support online backups, table spaces are not put in backup pending state following the load operation.

  Possible values - Yes, No. The default value is No.

- IMPORT_OPTION - Specifies a mode, under which the import utility will execute. Possible values are INSERT (Adds the imported data to the table without changing the existing table data), INSERT_UPDATE (Adds rows of imported data to the target table, or updates existing rows of the target table with matching primary keys) and REPLACE (Deletes all existing data from the table by truncating the data object, and inserts the imported data. The table definition and the index definitions are not changed). The default mode is INSERT.

- LOAD_OPTION - Specifies a mode, under which the load utility will execute. Possible values are INSERT (Adds the loaded data to the table without changing the existing table data) and REPLACE (Deletes all existing data from the table, and inserts the loaded data. The table definition and index definitions are not changed). The default mode is INSERT.

- MODIFIEDBY_OPTIONS - Specifies additional options that are added to the modified by option of the DB2 IMPORT and LOAD utilities.

  Some options like character, column delimiters and others are added to the DB2 IMPORT/LOAD scripts by SQLWays. You can use this option if you need other options to be added to the modified by option.

  For example, set modifiedby_options=usedefaults delprioritychar and these options will be added to the modified by option in each script for the DB2 IMPORT/LOAD utilities.

- TIMESTAMP_FORMAT - This option specifies the format of the timestamp columns in the text file when the target database is IBM DB2. Possible values - DB2, ISO.

  The default value is DB2 that means using the DB2 native format of timestamps. The DB2 native format is YYYY-MM-DD-HH.MI.SS.FFFFFF. The DB2 IMPORT command requires this format to import text files containing timestamps not enclosed by double quotes (TAB delimited output format e.g.).

  When ISO is specified, the ISO format of timestamps will be used. The ISO format is YYYY-MM-DD HH:MI:SS.FFFFFF. The DB2 IMPORT command can import timestamp values in the ISO format, when they are enclosed by double quotes (CSV output format e.g.).

  Note. This option is ignored when any value is specified in the option DATETIME_FORMAT (see above in the [DATA] section).

- BIT_DATATYPE - Specifies the datatype that represents the BIT datatype in IBM DB2, since IBM DB2 does not support the BIT datatype explicitly. The default value is CHAR(1).

  SQLWays will convert the BIT datatype to the specified datatype when migrating from databases that supports the BIT datatype, for example Microsoft SQL Server or Microsoft Access.

  For example, when BIT_DATATYPE=SMALLINT is specified, the BIT datatype will be converted to SMALLINT in IBM DB2.

- DATETIME_DATATYPE - Specifies the IBM DB2 datatype in which the datetime datatypes are converted. Datetime data consist of valid date and time combinations. Depending on the database this is the DATE datatype in Oracle and the DATETIME datatype in Microsoft SQL Server and Sybase.

  SQLWays will convert the datetime datatypes to the specified IBM DB2 datatype. By default the datetime datatypes are converted to TIMESTAMP.

  For example, when DATETIME_DATATYPE=DATE is specified, the datetime datatypes will be converted to DATE in IBM DB2.

- INDEX_NAME_MAX_LENGTH - Specifies the maximum length for index names. If the index name exceeds this length, it is truncated. The default value is 18. This is the maximum length for IBM DB2 version 7.2 and earlier.

- TABLESPACE - Specifies the table space in which the tables will be created. The table space must exist, and be a REGULAR table space. If no other table space is specified, all table parts will be stored in this table space. The default value is USERSPACE1.

- INDEX_TABLESPACE - Specifies the table space in which any indexes on the tables will be created. The specified table space must exist, be a REGULAR DMS table space.

- LONG_TABLESPACE - Specifies the table space in which the values of any long columns (LONG VARCHAR, LONG VARGRAPHIC, LOB data types) will be stored. The table space must exist, be a LONG DMS table space.

To specify IBM DB2 options using the SQLWays wizard

- SQLWays Wizard - IBM DB2 Advanced Options Page

### [MSSQL]

This section is used to adjust script generations when Microsoft SQL Server is the target database, and to specify properties when it is the source database.

- BIN - Specifies the directory where the MS SQL utilities like BCP and ISQL are located.

- SERVER_NAME - Specifies the server name that is used in generated scripts for the BCP and ISQL utilities (Parameter -S).

- DATABASE - Specifies the database name that is used in generated scripts for the BCP and ISQL utilities.

- USER - Specifies the user name that is used in generated scripts for the BCP and ISQL utilities (Parameter -U). To use this option the option TRUSTED_CONNECTION (see below) must be set to No.

- PWD - Specifies the user password that is used in generated scripts for the BCP and ISQL utilities (Parameter -P). To use this option the option TRUSTED_CONNECTION (see below) must be set to No.

- TRUSTED_CONNECTION - Specifies that a trusted connection to SQL Server is used in generated scripts for the BCP and ISQL utilities (Parameters -T of the BCP and -E of the ISQL). When this option is set to Yes the security credentials of the network user are used and the user name (login_id) and password are not required. Possible values - Yes, No. The default value is No.

- MAX_ERRORS - Specifies the maximum number of errors that can occur before the BCP utility is canceled. Each row that cannot be copied by BCP is ignored and counted as one error (Parameter -m of the BCP).

### [Sybase]

This section is used to adjust script generations when Sybase is the target database, and to specify properties when it is the source database.

- BIN - Specifies the directory where the Sybase utilities like BCP and ISQL are located.

- SERVER_NAME - Specifies the server name that is used in generated scripts for the BCP and ISQL utilities (Parameter -S).

- DATABASE - Specifies the database name that is used in generated scripts for the BCP and ISQL utilities.

- USER - Specifies the user name that is used in generated scripts for the BCP and ISQL utilities (Parameter -U).

- PWD - Specifies the user password that is used in generated scripts for the BCP and ISQL utilities (Parameter -P).

### [MySQL]

This section is used to adjust script generations when MySQL is the target database, and to specify properties when it is the source database.

- BIN - Specifies the directory where the MySQL utilities are located.

- HOST - Specifies a remote host name where the target MySQL database resides.

- DATABASE - Specifies the database name that is used in generated scripts for MySQL.

- USER - Specifies the user name that is used in generated scripts for MySQL.

- PWD - Specifies the user password that is used in generated scripts for MySQL.
- TABLE_TYPE - This option specifies a table type that is used when creating tables in the MySQL database. MySQL supports two different kinds of tables: transaction-safe tables (InnoDB and BDB) and not transaction-safe tables (HEAP, ISAM, MERGE, and MyISAM).

  For example, when table_type=InnoDB is selected, SQLWays generates the TYPE=InnoDB clause in the CREATE TABLE statements for MySQL.

- IMPORT_FROM_CLIENT - If Yes is specified, the LOCAL keyword is generated for the MySQL LOAD DATA INFILE command that is used for importing data to MySQL. When LOCAL is specified, data files can be located on the client host.

  If No is specified, the LOCAL keyword is not generated and data files must be located on the server before importing.

  Possible values - Yes, No. The default value is Yes.

  Note. There are some issues regarding using the LOCAL keyword in MySQL 4.0.x. See LOCAL keyword - The used command is not allowed with this MySQL version.

- BIT_DATATYPE - This datatype represents the BIT datatype when migrating from a database that supports the BIT datatype, for example Microsoft SQL Server or Microsoft Access. The default value is CHAR(1).

  For example, when BIT_DATATYPE=ENUM ("0","1") is specified, the BIT datatype will be converted to ENUM ("0","1") in the DDL statements for MySQL.

To specify MySQL options using the SQLWays wizard

- SQLWays Wizard - MySQL Advanced Options Page

### [Pervasive]

This section is used to adjust script generations when Pervasive.SQL is the target database, and to specify properties when it is the source database.

- BIN - Specifies the directory where the Pervasive.SQL utilities like BUTIL are located.

- DATA_DIR - Specifies the directory where the database data files (.mkd files) are located. This option is used for the BUTIL utility.

- DATABASE - Specifies the database name (ODBC alias) that is used in generated scripts for Pervasive.SQL.

- USER - Specifies the user name that is used in generated scripts for Pervasive.SQL.

- PWD - Specifies the user password that is used in generated scripts for Pervasive.SQL.

- INDEX_NAME_MAX_LENGTH - Specifies the maximum length for index names. The default value is 20. This is the maximum length for Pervasive.SQL version 8 and earlier.

  If the index name exceeds this length, it is truncated.

- INDEX_NAME_POSTFIX - Specifies a string that is added to each index name. The default value is _idx.

  Some databases allow users to assign the same names for table columns and indexes. In Pervasive.SQL index names must differ from column names of the table. This option allows you to automatically solve conflicts between index and column names.

[Main] [Table of Contents]
Copyright © 1999-2003 Ispirer Systems. All Rights Reserved.
SQLWays™ www.ispirer.com.